Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network169.254.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
169.254.0.0
Broadcast address
169.254.255.255
First usable
169.254.0.1
Last usable
169.254.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Link-local (APIPA) 169.254.0.0/16
Self-assigned when no DHCP server answers
Old class
B (default /16)
As numbers
Hex A9FE0000 · Integer 2851995648 to 2852061183
Reverse DNS zone
254.169.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10101001.11111110..00000000.00000000169.254.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10101001.11111110..00000000.00000000169.254.0.0
Broadcast10101001.11111110..11111111.11111111169.254.255.255
Split into smaller subnets/26

169.254.0.0/16 makes 1,024 subnets of /26; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1169.254.0.0/26169.254.0.1 to 169.254.0.62169.254.0.6362
2169.254.0.64/26169.254.0.65 to 169.254.0.126169.254.0.12762
3169.254.0.128/26169.254.0.129 to 169.254.0.190169.254.0.19162
4169.254.0.192/26169.254.0.193 to 169.254.0.254169.254.0.25562
5169.254.1.0/26169.254.1.1 to 169.254.1.62169.254.1.6362
6169.254.1.64/26169.254.1.65 to 169.254.1.126169.254.1.12762
7169.254.1.128/26169.254.1.129 to 169.254.1.190169.254.1.19162
8169.254.1.192/26169.254.1.193 to 169.254.1.254169.254.1.25562
9169.254.2.0/26169.254.2.1 to 169.254.2.62169.254.2.6362
10169.254.2.64/26169.254.2.65 to 169.254.2.126169.254.2.12762
11169.254.2.128/26169.254.2.129 to 169.254.2.190169.254.2.19162
12169.254.2.192/26169.254.2.193 to 169.254.2.254169.254.2.25562
13169.254.3.0/26169.254.3.1 to 169.254.3.62169.254.3.6362
14169.254.3.64/26169.254.3.65 to 169.254.3.126169.254.3.12762
15169.254.3.128/26169.254.3.129 to 169.254.3.190169.254.3.19162
16169.254.3.192/26169.254.3.193 to 169.254.3.254169.254.3.25562
17169.254.4.0/26169.254.4.1 to 169.254.4.62169.254.4.6362
18169.254.4.64/26169.254.4.65 to 169.254.4.126169.254.4.12762
19169.254.4.128/26169.254.4.129 to 169.254.4.190169.254.4.19162
20169.254.4.192/26169.254.4.193 to 169.254.4.254169.254.4.25562
21169.254.5.0/26169.254.5.1 to 169.254.5.62169.254.5.6362
22169.254.5.64/26169.254.5.65 to 169.254.5.126169.254.5.12762
23169.254.5.128/26169.254.5.129 to 169.254.5.190169.254.5.19162
24169.254.5.192/26169.254.5.193 to 169.254.5.254169.254.5.25562
25169.254.6.0/26169.254.6.1 to 169.254.6.62169.254.6.6362
26169.254.6.64/26169.254.6.65 to 169.254.6.126169.254.6.12762
27169.254.6.128/26169.254.6.129 to 169.254.6.190169.254.6.19162
28169.254.6.192/26169.254.6.193 to 169.254.6.254169.254.6.25562
29169.254.7.0/26169.254.7.1 to 169.254.7.62169.254.7.6362
30169.254.7.64/26169.254.7.65 to 169.254.7.126169.254.7.12762
31169.254.7.128/26169.254.7.129 to 169.254.7.190169.254.7.19162
32169.254.7.192/26169.254.7.193 to 169.254.7.254169.254.7.25562
33169.254.8.0/26169.254.8.1 to 169.254.8.62169.254.8.6362
34169.254.8.64/26169.254.8.65 to 169.254.8.126169.254.8.12762
35169.254.8.128/26169.254.8.129 to 169.254.8.190169.254.8.19162
36169.254.8.192/26169.254.8.193 to 169.254.8.254169.254.8.25562
37169.254.9.0/26169.254.9.1 to 169.254.9.62169.254.9.6362
38169.254.9.64/26169.254.9.65 to 169.254.9.126169.254.9.12762
39169.254.9.128/26169.254.9.129 to 169.254.9.190169.254.9.19162
40169.254.9.192/26169.254.9.193 to 169.254.9.254169.254.9.25562
41169.254.10.0/26169.254.10.1 to 169.254.10.62169.254.10.6362
42169.254.10.64/26169.254.10.65 to 169.254.10.126169.254.10.12762
43169.254.10.128/26169.254.10.129 to 169.254.10.190169.254.10.19162
44169.254.10.192/26169.254.10.193 to 169.254.10.254169.254.10.25562
45169.254.11.0/26169.254.11.1 to 169.254.11.62169.254.11.6362
46169.254.11.64/26169.254.11.65 to 169.254.11.126169.254.11.12762
47169.254.11.128/26169.254.11.129 to 169.254.11.190169.254.11.19162
48169.254.11.192/26169.254.11.193 to 169.254.11.254169.254.11.25562
49169.254.12.0/26169.254.12.1 to 169.254.12.62169.254.12.6362
50169.254.12.64/26169.254.12.65 to 169.254.12.126169.254.12.12762
51169.254.12.128/26169.254.12.129 to 169.254.12.190169.254.12.19162
52169.254.12.192/26169.254.12.193 to 169.254.12.254169.254.12.25562
53169.254.13.0/26169.254.13.1 to 169.254.13.62169.254.13.6362
54169.254.13.64/26169.254.13.65 to 169.254.13.126169.254.13.12762
55169.254.13.128/26169.254.13.129 to 169.254.13.190169.254.13.19162
56169.254.13.192/26169.254.13.193 to 169.254.13.254169.254.13.25562
57169.254.14.0/26169.254.14.1 to 169.254.14.62169.254.14.6362
58169.254.14.64/26169.254.14.65 to 169.254.14.126169.254.14.12762
59169.254.14.128/26169.254.14.129 to 169.254.14.190169.254.14.19162
60169.254.14.192/26169.254.14.193 to 169.254.14.254169.254.14.25562
61169.254.15.0/26169.254.15.1 to 169.254.15.62169.254.15.6362
62169.254.15.64/26169.254.15.65 to 169.254.15.126169.254.15.12762
63169.254.15.128/26169.254.15.129 to 169.254.15.190169.254.15.19162
64169.254.15.192/26169.254.15.193 to 169.254.15.254169.254.15.25562
65169.254.16.0/26169.254.16.1 to 169.254.16.62169.254.16.6362
66169.254.16.64/26169.254.16.65 to 169.254.16.126169.254.16.12762
67169.254.16.128/26169.254.16.129 to 169.254.16.190169.254.16.19162
68169.254.16.192/26169.254.16.193 to 169.254.16.254169.254.16.25562
69169.254.17.0/26169.254.17.1 to 169.254.17.62169.254.17.6362
70169.254.17.64/26169.254.17.65 to 169.254.17.126169.254.17.12762
71169.254.17.128/26169.254.17.129 to 169.254.17.190169.254.17.19162
72169.254.17.192/26169.254.17.193 to 169.254.17.254169.254.17.25562
73169.254.18.0/26169.254.18.1 to 169.254.18.62169.254.18.6362
74169.254.18.64/26169.254.18.65 to 169.254.18.126169.254.18.12762
75169.254.18.128/26169.254.18.129 to 169.254.18.190169.254.18.19162
76169.254.18.192/26169.254.18.193 to 169.254.18.254169.254.18.25562
77169.254.19.0/26169.254.19.1 to 169.254.19.62169.254.19.6362
78169.254.19.64/26169.254.19.65 to 169.254.19.126169.254.19.12762
79169.254.19.128/26169.254.19.129 to 169.254.19.190169.254.19.19162
80169.254.19.192/26169.254.19.193 to 169.254.19.254169.254.19.25562
81169.254.20.0/26169.254.20.1 to 169.254.20.62169.254.20.6362
82169.254.20.64/26169.254.20.65 to 169.254.20.126169.254.20.12762
83169.254.20.128/26169.254.20.129 to 169.254.20.190169.254.20.19162
84169.254.20.192/26169.254.20.193 to 169.254.20.254169.254.20.25562
85169.254.21.0/26169.254.21.1 to 169.254.21.62169.254.21.6362
86169.254.21.64/26169.254.21.65 to 169.254.21.126169.254.21.12762
87169.254.21.128/26169.254.21.129 to 169.254.21.190169.254.21.19162
88169.254.21.192/26169.254.21.193 to 169.254.21.254169.254.21.25562
89169.254.22.0/26169.254.22.1 to 169.254.22.62169.254.22.6362
90169.254.22.64/26169.254.22.65 to 169.254.22.126169.254.22.12762
91169.254.22.128/26169.254.22.129 to 169.254.22.190169.254.22.19162
92169.254.22.192/26169.254.22.193 to 169.254.22.254169.254.22.25562
93169.254.23.0/26169.254.23.1 to 169.254.23.62169.254.23.6362
94169.254.23.64/26169.254.23.65 to 169.254.23.126169.254.23.12762
95169.254.23.128/26169.254.23.129 to 169.254.23.190169.254.23.19162
96169.254.23.192/26169.254.23.193 to 169.254.23.254169.254.23.25562
97169.254.24.0/26169.254.24.1 to 169.254.24.62169.254.24.6362
98169.254.24.64/26169.254.24.65 to 169.254.24.126169.254.24.12762
99169.254.24.128/26169.254.24.129 to 169.254.24.190169.254.24.19162
100169.254.24.192/26169.254.24.193 to 169.254.24.254169.254.24.25562
101169.254.25.0/26169.254.25.1 to 169.254.25.62169.254.25.6362
102169.254.25.64/26169.254.25.65 to 169.254.25.126169.254.25.12762
103169.254.25.128/26169.254.25.129 to 169.254.25.190169.254.25.19162
104169.254.25.192/26169.254.25.193 to 169.254.25.254169.254.25.25562
105169.254.26.0/26169.254.26.1 to 169.254.26.62169.254.26.6362
106169.254.26.64/26169.254.26.65 to 169.254.26.126169.254.26.12762
107169.254.26.128/26169.254.26.129 to 169.254.26.190169.254.26.19162
108169.254.26.192/26169.254.26.193 to 169.254.26.254169.254.26.25562
109169.254.27.0/26169.254.27.1 to 169.254.27.62169.254.27.6362
110169.254.27.64/26169.254.27.65 to 169.254.27.126169.254.27.12762
111169.254.27.128/26169.254.27.129 to 169.254.27.190169.254.27.19162
112169.254.27.192/26169.254.27.193 to 169.254.27.254169.254.27.25562
113169.254.28.0/26169.254.28.1 to 169.254.28.62169.254.28.6362
114169.254.28.64/26169.254.28.65 to 169.254.28.126169.254.28.12762
115169.254.28.128/26169.254.28.129 to 169.254.28.190169.254.28.19162
116169.254.28.192/26169.254.28.193 to 169.254.28.254169.254.28.25562
117169.254.29.0/26169.254.29.1 to 169.254.29.62169.254.29.6362
118169.254.29.64/26169.254.29.65 to 169.254.29.126169.254.29.12762
119169.254.29.128/26169.254.29.129 to 169.254.29.190169.254.29.19162
120169.254.29.192/26169.254.29.193 to 169.254.29.254169.254.29.25562
121169.254.30.0/26169.254.30.1 to 169.254.30.62169.254.30.6362
122169.254.30.64/26169.254.30.65 to 169.254.30.126169.254.30.12762
123169.254.30.128/26169.254.30.129 to 169.254.30.190169.254.30.19162
124169.254.30.192/26169.254.30.193 to 169.254.30.254169.254.30.25562
125169.254.31.0/26169.254.31.1 to 169.254.31.62169.254.31.6362
126169.254.31.64/26169.254.31.65 to 169.254.31.126169.254.31.12762
127169.254.31.128/26169.254.31.129 to 169.254.31.190169.254.31.19162
128169.254.31.192/26169.254.31.193 to 169.254.31.254169.254.31.25562
129169.254.32.0/26169.254.32.1 to 169.254.32.62169.254.32.6362
130169.254.32.64/26169.254.32.65 to 169.254.32.126169.254.32.12762
131169.254.32.128/26169.254.32.129 to 169.254.32.190169.254.32.19162
132169.254.32.192/26169.254.32.193 to 169.254.32.254169.254.32.25562
133169.254.33.0/26169.254.33.1 to 169.254.33.62169.254.33.6362
134169.254.33.64/26169.254.33.65 to 169.254.33.126169.254.33.12762
135169.254.33.128/26169.254.33.129 to 169.254.33.190169.254.33.19162
136169.254.33.192/26169.254.33.193 to 169.254.33.254169.254.33.25562
137169.254.34.0/26169.254.34.1 to 169.254.34.62169.254.34.6362
138169.254.34.64/26169.254.34.65 to 169.254.34.126169.254.34.12762
139169.254.34.128/26169.254.34.129 to 169.254.34.190169.254.34.19162
140169.254.34.192/26169.254.34.193 to 169.254.34.254169.254.34.25562
141169.254.35.0/26169.254.35.1 to 169.254.35.62169.254.35.6362
142169.254.35.64/26169.254.35.65 to 169.254.35.126169.254.35.12762
143169.254.35.128/26169.254.35.129 to 169.254.35.190169.254.35.19162
144169.254.35.192/26169.254.35.193 to 169.254.35.254169.254.35.25562
145169.254.36.0/26169.254.36.1 to 169.254.36.62169.254.36.6362
146169.254.36.64/26169.254.36.65 to 169.254.36.126169.254.36.12762
147169.254.36.128/26169.254.36.129 to 169.254.36.190169.254.36.19162
148169.254.36.192/26169.254.36.193 to 169.254.36.254169.254.36.25562
149169.254.37.0/26169.254.37.1 to 169.254.37.62169.254.37.6362
150169.254.37.64/26169.254.37.65 to 169.254.37.126169.254.37.12762
151169.254.37.128/26169.254.37.129 to 169.254.37.190169.254.37.19162
152169.254.37.192/26169.254.37.193 to 169.254.37.254169.254.37.25562
153169.254.38.0/26169.254.38.1 to 169.254.38.62169.254.38.6362
154169.254.38.64/26169.254.38.65 to 169.254.38.126169.254.38.12762
155169.254.38.128/26169.254.38.129 to 169.254.38.190169.254.38.19162
156169.254.38.192/26169.254.38.193 to 169.254.38.254169.254.38.25562
157169.254.39.0/26169.254.39.1 to 169.254.39.62169.254.39.6362
158169.254.39.64/26169.254.39.65 to 169.254.39.126169.254.39.12762
159169.254.39.128/26169.254.39.129 to 169.254.39.190169.254.39.19162
160169.254.39.192/26169.254.39.193 to 169.254.39.254169.254.39.25562
161169.254.40.0/26169.254.40.1 to 169.254.40.62169.254.40.6362
162169.254.40.64/26169.254.40.65 to 169.254.40.126169.254.40.12762
163169.254.40.128/26169.254.40.129 to 169.254.40.190169.254.40.19162
164169.254.40.192/26169.254.40.193 to 169.254.40.254169.254.40.25562
165169.254.41.0/26169.254.41.1 to 169.254.41.62169.254.41.6362
166169.254.41.64/26169.254.41.65 to 169.254.41.126169.254.41.12762
167169.254.41.128/26169.254.41.129 to 169.254.41.190169.254.41.19162
168169.254.41.192/26169.254.41.193 to 169.254.41.254169.254.41.25562
169169.254.42.0/26169.254.42.1 to 169.254.42.62169.254.42.6362
170169.254.42.64/26169.254.42.65 to 169.254.42.126169.254.42.12762
171169.254.42.128/26169.254.42.129 to 169.254.42.190169.254.42.19162
172169.254.42.192/26169.254.42.193 to 169.254.42.254169.254.42.25562
173169.254.43.0/26169.254.43.1 to 169.254.43.62169.254.43.6362
174169.254.43.64/26169.254.43.65 to 169.254.43.126169.254.43.12762
175169.254.43.128/26169.254.43.129 to 169.254.43.190169.254.43.19162
176169.254.43.192/26169.254.43.193 to 169.254.43.254169.254.43.25562
177169.254.44.0/26169.254.44.1 to 169.254.44.62169.254.44.6362
178169.254.44.64/26169.254.44.65 to 169.254.44.126169.254.44.12762
179169.254.44.128/26169.254.44.129 to 169.254.44.190169.254.44.19162
180169.254.44.192/26169.254.44.193 to 169.254.44.254169.254.44.25562
181169.254.45.0/26169.254.45.1 to 169.254.45.62169.254.45.6362
182169.254.45.64/26169.254.45.65 to 169.254.45.126169.254.45.12762
183169.254.45.128/26169.254.45.129 to 169.254.45.190169.254.45.19162
184169.254.45.192/26169.254.45.193 to 169.254.45.254169.254.45.25562
185169.254.46.0/26169.254.46.1 to 169.254.46.62169.254.46.6362
186169.254.46.64/26169.254.46.65 to 169.254.46.126169.254.46.12762
187169.254.46.128/26169.254.46.129 to 169.254.46.190169.254.46.19162
188169.254.46.192/26169.254.46.193 to 169.254.46.254169.254.46.25562
189169.254.47.0/26169.254.47.1 to 169.254.47.62169.254.47.6362
190169.254.47.64/26169.254.47.65 to 169.254.47.126169.254.47.12762
191169.254.47.128/26169.254.47.129 to 169.254.47.190169.254.47.19162
192169.254.47.192/26169.254.47.193 to 169.254.47.254169.254.47.25562
193169.254.48.0/26169.254.48.1 to 169.254.48.62169.254.48.6362
194169.254.48.64/26169.254.48.65 to 169.254.48.126169.254.48.12762
195169.254.48.128/26169.254.48.129 to 169.254.48.190169.254.48.19162
196169.254.48.192/26169.254.48.193 to 169.254.48.254169.254.48.25562
197169.254.49.0/26169.254.49.1 to 169.254.49.62169.254.49.6362
198169.254.49.64/26169.254.49.65 to 169.254.49.126169.254.49.12762
199169.254.49.128/26169.254.49.129 to 169.254.49.190169.254.49.19162
200169.254.49.192/26169.254.49.193 to 169.254.49.254169.254.49.25562
201169.254.50.0/26169.254.50.1 to 169.254.50.62169.254.50.6362
202169.254.50.64/26169.254.50.65 to 169.254.50.126169.254.50.12762
203169.254.50.128/26169.254.50.129 to 169.254.50.190169.254.50.19162
204169.254.50.192/26169.254.50.193 to 169.254.50.254169.254.50.25562
205169.254.51.0/26169.254.51.1 to 169.254.51.62169.254.51.6362
206169.254.51.64/26169.254.51.65 to 169.254.51.126169.254.51.12762
207169.254.51.128/26169.254.51.129 to 169.254.51.190169.254.51.19162
208169.254.51.192/26169.254.51.193 to 169.254.51.254169.254.51.25562
209169.254.52.0/26169.254.52.1 to 169.254.52.62169.254.52.6362
210169.254.52.64/26169.254.52.65 to 169.254.52.126169.254.52.12762
211169.254.52.128/26169.254.52.129 to 169.254.52.190169.254.52.19162
212169.254.52.192/26169.254.52.193 to 169.254.52.254169.254.52.25562
213169.254.53.0/26169.254.53.1 to 169.254.53.62169.254.53.6362
214169.254.53.64/26169.254.53.65 to 169.254.53.126169.254.53.12762
215169.254.53.128/26169.254.53.129 to 169.254.53.190169.254.53.19162
216169.254.53.192/26169.254.53.193 to 169.254.53.254169.254.53.25562
217169.254.54.0/26169.254.54.1 to 169.254.54.62169.254.54.6362
218169.254.54.64/26169.254.54.65 to 169.254.54.126169.254.54.12762
219169.254.54.128/26169.254.54.129 to 169.254.54.190169.254.54.19162
220169.254.54.192/26169.254.54.193 to 169.254.54.254169.254.54.25562
221169.254.55.0/26169.254.55.1 to 169.254.55.62169.254.55.6362
222169.254.55.64/26169.254.55.65 to 169.254.55.126169.254.55.12762
223169.254.55.128/26169.254.55.129 to 169.254.55.190169.254.55.19162
224169.254.55.192/26169.254.55.193 to 169.254.55.254169.254.55.25562
225169.254.56.0/26169.254.56.1 to 169.254.56.62169.254.56.6362
226169.254.56.64/26169.254.56.65 to 169.254.56.126169.254.56.12762
227169.254.56.128/26169.254.56.129 to 169.254.56.190169.254.56.19162
228169.254.56.192/26169.254.56.193 to 169.254.56.254169.254.56.25562
229169.254.57.0/26169.254.57.1 to 169.254.57.62169.254.57.6362
230169.254.57.64/26169.254.57.65 to 169.254.57.126169.254.57.12762
231169.254.57.128/26169.254.57.129 to 169.254.57.190169.254.57.19162
232169.254.57.192/26169.254.57.193 to 169.254.57.254169.254.57.25562
233169.254.58.0/26169.254.58.1 to 169.254.58.62169.254.58.6362
234169.254.58.64/26169.254.58.65 to 169.254.58.126169.254.58.12762
235169.254.58.128/26169.254.58.129 to 169.254.58.190169.254.58.19162
236169.254.58.192/26169.254.58.193 to 169.254.58.254169.254.58.25562
237169.254.59.0/26169.254.59.1 to 169.254.59.62169.254.59.6362
238169.254.59.64/26169.254.59.65 to 169.254.59.126169.254.59.12762
239169.254.59.128/26169.254.59.129 to 169.254.59.190169.254.59.19162
240169.254.59.192/26169.254.59.193 to 169.254.59.254169.254.59.25562
241169.254.60.0/26169.254.60.1 to 169.254.60.62169.254.60.6362
242169.254.60.64/26169.254.60.65 to 169.254.60.126169.254.60.12762
243169.254.60.128/26169.254.60.129 to 169.254.60.190169.254.60.19162
244169.254.60.192/26169.254.60.193 to 169.254.60.254169.254.60.25562
245169.254.61.0/26169.254.61.1 to 169.254.61.62169.254.61.6362
246169.254.61.64/26169.254.61.65 to 169.254.61.126169.254.61.12762
247169.254.61.128/26169.254.61.129 to 169.254.61.190169.254.61.19162
248169.254.61.192/26169.254.61.193 to 169.254.61.254169.254.61.25562
249169.254.62.0/26169.254.62.1 to 169.254.62.62169.254.62.6362
250169.254.62.64/26169.254.62.65 to 169.254.62.126169.254.62.12762
251169.254.62.128/26169.254.62.129 to 169.254.62.190169.254.62.19162
252169.254.62.192/26169.254.62.193 to 169.254.62.254169.254.62.25562
253169.254.63.0/26169.254.63.1 to 169.254.63.62169.254.63.6362
254169.254.63.64/26169.254.63.65 to 169.254.63.126169.254.63.12762
255169.254.63.128/26169.254.63.129 to 169.254.63.190169.254.63.19162
256169.254.63.192/26169.254.63.193 to 169.254.63.254169.254.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses